#### Previous topic

scipy.io.readsav

#### Next topic

scipy.io.mmread

# scipy.io.mminfo

`scipy.io.``mminfo`(source)

  Return size and storage parameters from Matrix Market file-like ‘source’.

  Parameters:

  source : str or file-like

  > Matrix Market filename (extension .mtx) or open file-like object

  Returns:

  rows : int

  > Number of matrix rows.

  cols : int

  > Number of matrix columns.

  entries : int

  > Number of non-zero entries of a sparse matrix or rows*cols for a dense matrix.

  format : str

  > Either ‘coordinate’ or ‘array’.

  field : str

  > Either ‘real’, ‘complex’, ‘pattern’, or ‘integer’.

  symmetry : str

  > Either ‘general’, ‘symmetric’, ‘skew-symmetric’, or ‘hermitian’.